FreeMat

- Main Page
- Related Pages

vtkRectilinearGridGeometryFilter

Section: Visualization Toolkit Graphics Classes

# Usage

vtkRectilinearGridGeometryFilter is a filter that extracts geometry from a rectilinear grid. By specifying appropriate i-j-k indices, it is possible to extract a point, a curve, a surface, or a "volume". The volume is actually a (n x m x o) region of points.

The extent specification is zero-offset. That is, the first k-plane in a 50x50x50 rectilinear grid is given by (0,49, 0,49, 0,0).

To create an instance of class vtkRectilinearGridGeometryFilter, simply invoke its constructor as follows

      obj = vtkRectilinearGridGeometryFilter

# Methods

The class vtkRectilinearGridGeometryFilter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkRectilinearGridGeometryFilter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkRectilinearGridGeometryFilter = obj.NewInstance ()`
- `vtkRectilinearGridGeometryFilter = obj.SafeDownCast (vtkObject o)`
- `int = obj. GetExtent ()` - Get the extent in topological coordinate range (imin,imax, jmin,jmax, kmin,kmax).
- `obj.SetExtent (int iMin, int iMax, int jMin, int jMax, int kMin, int kMax)` - Specify (imin,imax, jmin,jmax, kmin,kmax) indices.
- `obj.SetExtent (int extent[6])` - Specify (imin,imax, jmin,jmax, kmin,kmax) indices in array form.